Skip to main content
Contracts

Perform a contract funds check

This method requires the Contract:FundsCheck permission to be associated with your role.

GET
/fm/contract/funds
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
contract_idstringqueryrequired

Contract Id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$

Response

application/vnd.catch-e-api.v1+json

Success

actualnumber
Example: 10240.35
actual_balancenumber
Example: 88.75
actual_gstnumber
Example: 930.94
actual_netnumber
Example: 9309.41
availablenumber
Example: 1121.66
available_balancenumber
Example: 2154.57
budgetnumber
Example: 11362.01
budget_gstnumber
Example: 1032.91
budget_netnumber
Example: 10329.1
budgetsobject
funds_receivednumber
Example: 10329.1
funds_variancenumber
Example: 1032.91
variancenumber
Example: 1121.66